<!-- FlexExtractor config file to generate the anomalies file for PVSS -->
<flexextractor version = "1.0" description = "Config file to generate the anomalies file for PVSS" >	

	<input type = "XML_XPATH">
		<source name = "DigitalAlarm" range = "11:" parameter = "/Workbook/Worksheet[@ss:Name='DigitalAlarm']/Table/Row" >
			<data name = "alias" select = "./Cell[1]/Data/text()" />
			<data name = "group" select = "./Cell[5]/Data/text()" />
			<data name = "synoptic" select = "./Cell[7]/Data/text()" />
		</source>
		
		<source name = "AnalogAlarm" range = "11:" parameter = "/Workbook/Worksheet[@ss:Name='AnalogAlarm']/Table/Row" >
			<data name = "alias" select = "./Cell[1]/Data/text()" />
			<data name = "group" select = "./Cell[9]/Data/text()" />
			<data name = "synoptic" select = "./Cell[11]/Data/text()" />
		</source>

	</input>	

	<output >

		<section head = "   &lt;file path=&quot;relative&quot; name=&quot;panels/{synoptic}&quot;&gt;" tail = "   &lt;/file&gt;">
		   <section head = "      &lt;group name=&quot;{group}&quot;&gt;" tail = "      &lt;/group&gt;">
		      <section condition = "%sourcename% == 'DigitalAlarm'" generate = "         &lt;DA name=&quot;{DigitalAlarm.alias}&quot; /&gt;" />
		      <section condition = "%sourcename% == 'AnalogAlarm'" generate = "         &lt;AA name=&quot;{AnalogAlarm.alias}&quot; /&gt;" />		      
		   </section>		      		   
		</section>

	</output>


</flexextractor>